{
  "schema_version": "1.4.0",
  "id": "GHSA-8378-c84x-wpqv",
  "modified": "2025-04-09T03:45:48Z",
  "published": "2022-05-01T18:19:22Z",
  "aliases": [
    "CVE-2007-3996"
  ],
  "details": "Multiple integer overflows in libgd in PHP before 5.2.4 allow remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a large (1) srcW or (2) srcH value to the (a) gdImageCopyResized function, or a large (3) sy (height) or (4) sx (width) value to the (b) gdImageCreate or the (c) gdImageCreateTrueColor function.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-3996"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/36382"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/36383"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1693"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1702"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11147"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00354.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=201546"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0889.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26642"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26822"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26838"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26871"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26895"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26930"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26967"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27102"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27351"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27377"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27545"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28009"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28147"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28658"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31168"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200712-13.xml"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/3103"
    },
    {
      "type": "WEB",
      "url": "http://secweb.se/en/advisories/php-imagecopyresized-integer-overflow"
    },
    {
      "type": "WEB",
      "url": "http://secweb.se/en/advisories/php-imagecreatetruecolor-integer-overflow"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-449.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1613"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200710-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:187"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php#5.2.4"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/5_2_4.php"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0888.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0890.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0891.html"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0026"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-557-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3023"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-09-04T18:17:00Z"
  }
}